Skip to main content

createAccount

POST /api/account/createAccount/{countryId}

Creates a company account. It is asynchronous: returns a trackId to check the final status with getProcess.

Internal Microprocesses

#Action
1Company account creation
2Administrator user creation
3Digital certificate upload (if applicable)
4ApiKey generation (OAuth 2.0 or Basic Auth)

Path Parameters

FieldTypeReq.Description
countryIdstringRequiredISO country code (e.g.: ar, cl, mx)

Body — complete structure

FieldTypeReq.Description
accountUser.account.codestringRequiredCompany TaxId / RUT
accountUser.account.namestringRequiredCompany name
accountUser.account.descriptionstringOptionalFree description
accountUser.account.addressstringOptionalAddress
accountUser.account.citystringOptionalCity
accountUser.account.provincestringOptionalProvince / State
accountUser.account.phonestringOptionalPhone
accountUser.user.namestringRequiredAdmin user name
accountUser.user.emailstringRequiredAdmin user email
accountUser.authenticationMethodintegerRequired1 = OAuth 2.0 · 0 = Basic Auth
certificateRootDto.certBase64stringConditional.pfx certificate in Base64
certificateRootDto.certKeyBase64stringConditionalPrivate key in Base64 (when applicable)
certificateRootDto.passwordstringConditionalCertificate password
certificateRootDto.defaultCertificatebooleanConditionalSets whether it is the default certificate
taxEntityobjectConditionalTax entity data — see Onboarding by Country
createAccount
{
"accountUser": {
  "account": {
    "code": "{{taxId}}",
    "name": "Nombre Organización",
    "description": "",
    "address": "",
    "city": "",
    "province": "",
    "phone": "",
    "fax": ""
  },
  "user": {
    "name": "Nombre Usuario Admin",
    "email": "user@empresa.com"
  },
  "authenticationMethod": 1
},
"certificateRootDto": {
  "certBase64": "BASE64_CERTIFICADO",
  "certKeyBase64": "",
  "password": "PASSWORD_CERT",
  "defaultCertificate": false
}
}